############################################################
#
# binary_c CI build and tests
#
############################################################

############################################################
#
# We default to building on Ubuntu-latest
# then use binary_c's Ubuntu install script
# to obtain the required tools and build
# binary_c.
#
# Finally we run binary_c's unit tests.
#
# Note: at this stage we do not try to install
#       separate support libraries (librinterpolate,
#       libcdict, libmemoize) rather we use binary_c's
#       internal copies.
#       Also we do not download MINT data.
#
############################################################

default:
    image: ubuntu:latest

stages:
  - build_and_test

build_and_test:
  stage: build_and_test
  script:
    - apt-get -y update
    - apt-get -y upgrade
    - echo "Running ubuntu_install_binary_c.sh to install binary_c only"
    - export BINARY_C=$PWD
    - APTGET="apt-get -y" SUDO=" " ./ubuntu_install_binary_c.sh yes yes no no no local_accurate yes no no no
    - echo "Binary_c version "`$BINARY_C/binary_c-config version`" installed and tested"
